package com.cool.store.sdk.ec.core;

public interface EcRequestI<T extends EcResponse>  {

    /**
     * 地址
     * @return -
     */
    String getApiUrl();

    /**
     * 方法
     * @return -
     */
    String getMethod();

    /**
     * 设置参数
     * @return -
     */
    Object getParameter();

    /**
     * 响应类类型
     * @return -
     */
    Class<T> getResponseClass();
}
